2

I have spent about 90 minutes today trying to download a video from youtube and extract its audio.

At first I had issues with not having ffmpeg installed. Apparently it is no longer possible to install via dnf, and I cannot get RPM to work for anything (rpm -l shows nothing, despite having enabled both free and nonfree repositories). I then installed the source files and compiled them. None of the --enable-lib switches worked, so the only audio formats I could use youtube-dl on were m4a and aac. Neither of them could I play since I did not have the codecs. My question is:

How can I get ffmpeg to work with other codecs, when it does not want to enable anything via options in configure, or is there another way to install these codecs that actually works with Fedora 25 and youtube-dl? I have looked at nearly every set of instructions for this or similar question, and they have been invariably been lacking in some way.

  • As you mention youtube-dl in the title, and not ffmpeg: Have you tried youtube-dl -F and choosing a format like youtube-dl -f18? Should work with standard codecs. – dirkt Apr 12 '17 at 6:41
  • I tried that, and it spat out a messy error as well. – Rusty Apr 12 '17 at 13:20
2

You need to enable the rpmfusion repositories. Go to https://rpmfusion.org to get them. They also have a FAQ entry about the AV codecs you might need.

  • I did that, but it had no effect. I suspected it is due to the fact that I did it via gnome-software which has not ever worked on my machine. Installing RPM fusion via command line was similarly without effect; rpm -l returns nothing. – Rusty Apr 12 '17 at 13:24
  • Use dnf from the command line to install the codecs (and youtube-dl), instead of rpm. – Mioriin Apr 12 '17 at 13:29
  • I have installed them via DNF , every version both i686 and x86_64, devel and not. This is to no effect. – Rusty Apr 12 '17 at 13:31
  • Actually, now I do see more options – Rusty Apr 12 '17 at 13:32
  • 1
    You need to install the codecs you want to use as well. Most are part of the gstreamer-plugins packages. – Mioriin Apr 12 '17 at 13:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.